/* $Id: timeformat.h,v 1.1 2005/04/23 14:19:17 simimeie Exp $
 * Routines for handling various time representations.
 * Mainly conversion routines from broken time to timestamps and the other
 * way round.
 */ 
 
#ifndef _TIMEFORMAT_H_
#define _TIMEFORMAT_H_

struct brokentime {
	uint8_t year;
	uint8_t month;
	uint8_t day;
	uint8_t hour;
	uint8_t min;
	uint8_t sec;
};

/* Converts a brokentime-struct to a timestamp */
uint32_t bttots(struct brokentime * bt);

/* Converts a timestamp to a brokentime-struct */
void tstobt(uint32_t ts, struct brokentime * bt);
 
#endif
